package net.wanji.utc.hisense.pojo.xml.pojo;

import lombok.Data;
import net.wanji.utc.hisense.common.enums.xml.MessageTypeEnum;

import javax.xml.bind.annotation.*;
import java.io.Serializable;

/**
 * 海信xml消息格式体
 *
 * @author duanruiming
 * @date 2024/01/08 10:03
 */
@Data
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "systemScription")
public class SystemScriptionRequest implements Serializable {
    // 标签属性
    @XmlAttribute(name = "System")
    private String system = "TCIP";
    @XmlAttribute(name = "Version")
    private String version = "1.0";

    // 实体类属性
    // 子系统，海信接口服务器向外部系统发送时为Hisense
    @XmlElement(name = "subSystem", defaultValue = "Hisense")
    private String subSystem = "Hisense";
    /**
     * {@link MessageTypeEnum}
     */
    @XmlElement(name = "messageType", defaultValue = "")
    private int messageType;
    // 1-请求 0-应答
    @XmlElement(name = "isRequest", defaultValue = "")
    private String isRequest = "";
    // seq唯一，长度固定20， 采用YYYYMMDDHHMMSS + 6位顺序号，不足前补0
    @XmlElement(name = "seq", defaultValue = "")
    private String seq;
    // 是否需要应答，1-需要 0-不需要
    @XmlElement(name = "needResponse", defaultValue = "")
    private String needResponse = "";
    // 针对所有消息， 1-成功 0-失败
    @XmlElement(name = "result", defaultValue = "")
    private String result = "";
    // 保留
    @XmlElement(name = "flag", defaultValue = "")
    private String flag = "";

}
